VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Types | Public Member Functions | List of all members
CInvalidRectList Struct Reference

## Public Types
using | RectList = std::vector< CRect >

## Public Member Functions
bool | add (const CRect &r)
RectList::iterator | begin ()
RectList::iterator | end ()
RectList::const_iterator | begin () const
RectList::const_iterator | end () const
void | erase (RectList::iterator it)
void | clear ()
const RectList & | data () const
bool | empty () const

## Member Typedef Documentation

using RectList = std::vector<CRect>

## Member Function Documentation

bool add | ( | const CRect & | r | ) |
| inline

RectList::iterator begin | ( |  | ) |
| inline

RectList::const_iterator begin | ( |  | ) | const
| inline

void clear | ( |  | ) |
| inline

const RectList& data | ( |  | ) | const
| inline

bool empty | ( |  | ) | const
| inline

RectList::iterator end | ( |  | ) |
| inline

RectList::const_iterator end | ( |  | ) | const
| inline

void erase | ( | RectList::iterator | it | ) |
| inline

The documentation for this struct was generated from the following file:

- cinvalidrectlist.h